Bug 433549 - Remove the internal timestamp from generated PNG images
Remove the internal timestamp from generated PNG images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 17:49 EST by Robert Scheck
Modified: 2012-08-16 17:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-02-19 17:49:04 EST
Description of problem:
Please remove the internal timestamp from doxygen (?) generated PNG images. As 
far as I can see, this is caused by the doxygen binary. If I'm wrong, please
re-assign to the correct component.

The use of multilib tricks like "PNG images" from http://fedoraproject.org/wiki/
PackagingDrafts/MultilibTricks is only required, because a timestamp of the PNG
generation time is put into the generated PNG file. But it is possible to make
PNG files without such a timestamp. So please remove the corresponding code from
doxygen that we can obsolete that png-mtime.py better.

Version-Release number of selected component (if applicable):
doxygen-1.5.5-1

How reproducible:
Everytime, see above.

Actual results:
Internal timestamp of last modification time inside of PNG files

Expected results:
No internal timestamp of last modification time inside of PNG files

Additional info:
The always shipped doxygen.png also has no internal timestamp, so it works.
Comment 1 Robert Scheck 2008-02-19 17:55:28 EST
tux:/usr/src/rpm/BUILD/doxygen-1.5.5 # grep -r tIME * | wc -l
99
tux:/usr/src/rpm/BUILD/doxygen-1.5.5 #
Comment 2 Robert Scheck 2008-02-19 17:57:20 EST
I would say, PNG_tIME_SUPPORTED is what has to be modified to avoid this.
Comment 3 Robert Scheck 2008-02-19 17:59:54 EST
Okay, once more - hopefully the last: doxygen-1.5.5/libpng/pngconf.h: So if I 
understand correct, PNG_NO_READ_tIME has to be defined to avoid these internal
timestamps in doxygen created files:

#ifndef PNG_NO_READ_tIME
#  define PNG_READ_tIME_SUPPORTED
#  define PNG_tIME_SUPPORTED
#endif

Can you agree with me? And are you willing to disable this for future builds of 
doxygen?
Comment 4 Ngo Than 2008-02-20 09:02:58 EST
it's bad that doxygen uses the copies of libpng/zlib. It should use the system 
libpng/zlib. I made a patch to make doxygen now uses the system libpng/zlib.
It's fixed in doxygen-1_5_5-2_fc9.
Comment 5 Robert Scheck 2008-02-20 09:13:14 EST
Well...and does system libpng insert the internal PNG timestamp or not? I don't 
want to see that timestamp in doxygen generated images simply.
Comment 6 Robert Scheck 2008-03-03 07:30:48 EST
Ping?
Comment 7 Ngo Than 2008-03-03 08:09:57 EST
i'm not sure whether the system libpng inserts the internal PNG timestamp. It 
would be great if you could please verify it. If the problem is still affected 
in the system libpng, please reopen the bug and reassign it to the correct 
component. Thanks.
Comment 8 Robert Scheck 2008-05-22 16:08:54 EDT
The system libpng inserts PNG timestamps. Inserting PNG timestamps is IMHO not 
a problem of system libpng, this should be fixed inside of doxygen by using and 
changing the internal libpng.
Comment 9 Robert Scheck 2008-07-27 08:24:42 EDT
Ping?
Comment 10 Bug Zapper 2008-11-25 21:07:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 05:27:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Ngo Than 2009-09-07 12:22:58 EDT
it's a bug in dot that is used to create png file in doxygen. reassign to correct component(In reply to comment #10)
Comment 13 Patrick Laughton 2009-12-18 13:03:19 EST
Fun, I didn't see this get passed to graphviz.  Sorry.

John, any immediate thoughts on this?
Comment 14 Bug Zapper 2010-04-27 07:55:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Robert Scheck 2010-05-01 11:57:01 EDT
Still affecting Rawhide.
Comment 16 John Ellson 2010-05-01 13:09:52 EDT
I don't know how to fix this in graphviz.

Graphviz uses libcairo which in turn uses the system libpng.  (Uunless doxygen is still using our gd plugin, in which case it is libgd that uses the system libpng.)

Can't timestamps be ignored when comparing images?
Comment 17 Robert Scheck 2010-05-01 13:17:49 EDT
How to tell RPM that the timestamps should be ignored at multilib installs?
Comment 18 John Ellson 2010-05-01 14:43:49 EDT
Are we sure its timestamps?     If I generate two images on the same machine a few seconds apart I get no diff.    If I generate images from the same graph on 32bit and 64 bit machines I get very slightly different images.   Perhaps a font difference, I don't know, it doesn't matter for human interpretation of the graphs.

You can see the difference with "diffimg" from the graphviz package.
Comment 19 Bug Zapper 2010-07-30 06:31:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Fedora End Of Life 2012-08-16 17:57:04 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.